using System;
using System.ComponentModel;
using System.Runtime.ExceptionServices;

namespace Prijatelji
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);

            int[,] ljudi = new int[n, 3];
            for (int i = 0; i < n; i++)
            {
                ljudi[i, 0] = int.Parse(Console.ReadLine());
            }

            int sreca = 0;
            

            for(int i = 0; i < m; i++)
            {
                string[] poz = Console.ReadLine().Split();
                int prvi = int.Parse(poz[0]);
                int drugi = int.Parse(poz[1]);

                if (Math.Abs(ljudi[prvi - 1, 0]) < Math.Abs(ljudi[drugi - 1, 0]))
                {
                    if(ljudi[drugi - 1, 0] < 0)
                    {
                        ljudi[drugi - 1, 2]++;
                        ljudi[prvi - 1, 2]++;
                    }
                    else
                    {
                        ljudi[drugi - 1, 1]++;
                        ljudi[prvi - 1, 1]++;
                    }
                }
                else
                {
                    if (ljudi[prvi - 1, 0] < 0)
                    {
                        ljudi[prvi - 1, 2]++;
                        ljudi[drugi - 1, 2]++;
                    }
                    else
                    {
                        ljudi[prvi - 1, 1]++;
                        ljudi[drugi - 1, 1]++;
                    }
                }
            }

            for(int i = 0; i < n; i++)
            {
                sreca += ljudi[i, 0] * (ljudi[i, 1] - ljudi[i, 2]);
            }

            Console.WriteLine(sreca);
        }
    }
}